:root {
    --background: #0f181e;
    --secondary-background: #040c11;
}

body {
    background-color: var(--background);
    color: #e6eaf0;
    font-family: Outfit, sans-serif;
    margin: 0;
}

h1 {
    font-weight: 600;
    font-size: 30pt;
    margin-bottom: 0;
}

h3 {
    font-weight: 500;
    font-size: 15pt;
    margin: 0;
}

h2 {
    font-weight: 600;
    font-size: 20pt;
    color: #7f889a;
    margin-top: 0;
}

#name {
    color: #70e5ff;
}

#banner {
    margin-left: 40px;
    margin-top: 80px;
}

.code {
    font-family: 'Source Code Pro', monospace;
    font-weight: 600;
    font-size: 15pt;
    padding: 0;
    margin-top: 0;
    margin-bottom: 0;

}

.code-intent {
    margin-left: 18pt;
}

button {
    background-color: inherit;
    color: #70e5ff;

    font-family: Outfit, sans-serif;
    font-weight: 600;
    font-size: 12pt;

    border: #70e5ff 2px solid;
    padding: 10pt;

    transition-property: background-color, color;
    transition-duration: 0.3s;

    cursor: pointer;
}

button:hover {
    background-color: #70e5ff;
    color: #0f181e;
}

#contact-me {
    margin-top: 30px;
    margin-left: 500pt;
}

@media (max-width: 650pt) {
    #contact-me {
        margin-left: calc(100vw - 150pt);
    }
}

.class {
    color: #c0a1ff;
}

.bracket {
    color: #7f889a;
}

.string {
    color: #95edb0;
}

#wust {
    text-decoration: none;

    transition-property: background-color, color;
    transition-duration: 0.3s;
}

#wust:hover {
    color: #0f181e;
    background-color: #95edb0;
}

.center-content {
    display: flex;
    justify-content: center;
    align-items: center;
}

#experience {
    box-shadow: inset 0 30px 30px -30px rgb(0, 7, 9);
    background-image: conic-gradient(#1e191e, #10232c 5%, var(--background) 40% 60%, #2c1010 95%, #1e191e);
    margin: 0;
    margin-top: 40px;
    padding-bottom: 180px;
    margin-bottom: -150px;
}

#timeline>div {
    margin-top: 50px;
    float: left;
}

#timeline>div>div {
    display: box;
    padding: 12px;
    margin: min(12px, 2vw);
    border-radius: 10px;
    width: min(30vw, 140px);
}

#education>div {
    background-color: rgba(149, 28, 9, .4);
    border-right: solid 2px rgb(149, 28, 9);
}

#professional>div {
    background-color: rgba(8, 95, 112, .4);
    border-left: solid 3px rgb(6, 114, 136);
}

#tl-divider {
    width: 2px;
    height: 430px;
    background-image: linear-gradient(transparent 0%, white 10%, transparent);
    margin: min(40px, 5vw);
    box-shadow: 0 0 20px 20px var(--background);
}

#tl-divider>div {
    display: box;
    transform: translateX(calc(-50% - 10px));
    text-align: center;
    text-shadow:
        var(--background) -2px 0 6px,
        var(--background) 2px 0 6px,
        var(--background) 0 -2px 6px,
        var(--background) 0 2px 6px;
    width: fit-content !important;
}

#eng-deg {
    height: 200px;
}

#msc-deg {
    height: 55px;
}

#antmicro {
    height: 90px;
}

#tools {
    background-color: rgba(255, 255, 255, 0.04);
    border-radius: 10px;
    border-top: solid 1px rgba(255, 255, 255, 0.7);
    box-shadow: 0 10px 10px -10px black;
}

#tools>img {
    float: left;
    height: 50px;
    margin: 20px;
}

#tools>img.semi-smaller {
    height: 40px;
    margin: 15px;
}

#tools>img.smaller {
    height: 30px;
    margin: 10px;
}

.note {
    font-size: 0.8em;
    line-height: 1.4em;
}